-- Bundesliga Liveticker Lua
-- (c) Tischi www.coolstream.to
-- Lizenz: GPL 2
-- Stand: 17.08.2019
Pluginversion=" v1.8"

-- CHANGELOG:
-- V1.4 (by PauleFoul) - Schriftgroesse einstellbar gemacht
-- V1.5 (by Don de Deckelwech) - im Liveticker die Koordinaten berechnet anstatt statische Werte zu nehmen, Pluginversionsinfo hinzugefuegt 
-- V1.6 (by Tischi) - Vereinslogo URL angepasst, Tabellenauswertung angepasst
-- V1.7 (by Tischi) - Funktion zum loeschen des Pluginordners im Menue hinzugefuegt
-- V1.7.1 - URL Fix json
-- V1.7.2 - Neue Quelle, Allgemeine Anpassungen
-- V1.7.3 - Anpassungen Aufsteiger/Absteiger
-- V1.7.3a (by Don de Deckelwech) - Keine funktionale Änderung, lediglich Fehlermeldungen getilgt, dadurch Geschwindigkeitssteigerung
-- V1.8 (by Don de Deckelwech) - Hinzufügen der 3.Liga, dadurch umfangreiche Änderungen
------------------------------
-- Eigenen Pfad ermitteln
function script_path()
	local str = debug.getinfo(2, "S").source:sub(2)
	return str:match("(.*/)")
end

--Plugin Pfad
pfad=script_path() .. "liveticker/"

--Dateien und Verzeichnisse...
txtpfad="/tmp/liveticker/"
logopfad={}
logopfad[1]=pfad .. "1/"
logopfad[2]=pfad .. "2/"
logopfad[3]=pfad .. "3/"
--logopfad[4]=pfad .. "4/"
bllogo="buliliveticker"
blicon="buliliveicon.png"
--json_url_live="http://liveticker.zdf.ergebnis-dienst.de/de/json_live/"

jsonconfig="http://www.spiegel.de/staticgen/fussballticker/json/"
--jsonconfig_full="http://liveticker.zdf.ergebnis-dienst.de/de/json_eventlist/"
--logo_url_60="http://www.spiegel.de/static/sys/fussballticker/wappen/1/"
--logo_url_40="http://www.spiegel.de/static/sys/fussballticker/wappen/1/"
ergebnistxt=txtpfad .. "ergebnis.txt"
matchdaytxt=txtpfad .. "matchday.txt"
matchdaytxt2=txtpfad .. "matchday2.txt"
matchdaytxt3=txtpfad .. "matchday3.txt"
tabelle1=txtpfad .. "tabelle1.txt"
score=txtpfad .. "score.txt"
--eventtxt=txtpfad .. "event.txt"
--eventtxt2=txtpfad .. "event2.txt"
bldate={}
bldate[1]="BUNDESLIGA"
bldate[2]="ZWEITELIGA"
bldate[3]="DRITTELIGA"
AnzahlBegegnungen=9
local json = require "json"
local posix	= require "posix"
confFile	= "/var/tuxbox/config/liveticker.conf"
config		= configfile.new()
configChanged	= 0
conf={}
conf["autostart_pip"]=0
conf["sekunden"]=30
conf["hinter_grau"]=0
conf["remove_pfad"]="Nein"
n = neutrino()
ligawahl=1

os.execute("cp -f " .. script_path() .. "/" .. bllogo .. ".png /share/tuxbox/neutrino/icons")
os.execute("cp -f " .. script_path() .. "/" .. blicon .. " /share/tuxbox/neutrino/icons")
os.execute("mkdir -p " .. txtpfad)

--Infofenster
function printinfo(t)
	local dx = (SCREEN.END_X - SCREEN.OFF_X) / 2
	local dy = 155
	local x = ((SCREEN.END_X - SCREEN.OFF_X) - dx) / 2
	local y = ((SCREEN.END_Y - SCREEN.OFF_Y) - dy) / 2

	local wh = cwindow.new{x=x, y=y, dx=dx, dy=dy, title="Info", icon=bllogo, has_shadow=true, show_footer=false}
	ctext.new{parent=wh, x=30, y=5, dx=dx-60, dy=110, text=t, font_text=FONT['MENU'], mode="ALIGN_CENTER"}
	wh:paint()

	local i = 0
	repeat
		i = i + 1
		msg1, data1 = n:GetInput(500)
	until msg1 == RC['home'] or msg1 == RC['setup'] or msg1 == RC['ok'] or i == 12; -- 6 seconds

	wh:hide{no_restore=true}
end

--Auslesen von Saison und Spieltag
function get_matchday()
	local hb3 = hintbox.new{ title="Info", text="Spieltage der 1. , 2. und 3. Bundesliga werden geladen...", icon=bllogo}
	hb3:paint()
	os.execute("wget -O " .. matchdaytxt .. " -U Mozilla '" .. jsonconfig .. bldate[1] .. "/init.json'" )
	fm = io.open(matchdaytxt, "r")
	if fm == nil then
		error("Kann nicht geladen werden: " .. matchdaytxt)
	else
		m = fm:read("*a")
		fm:close()
	local j_table_match = json:decode(m)
		matchday=j_table_match.INIT.SPIELTAG
		seasonid=string.gsub(j_table_match.INIT.SAISON,"/","")
	end
	
	os.execute("wget -O " .. matchdaytxt2 .. " -U Mozilla '" .. jsonconfig .. bldate[2] .. "/init.json'" )
	fm2 = io.open(matchdaytxt2, "r")
	if fm2 == nil then
		error("Kann nicht geladen werden: " .. matchdaytxt2)
	else
		m2 = fm2:read("*a")
		fm2:close()
	local j_table_match2 = json:decode(m2)
		matchday2=j_table_match2.INIT.SPIELTAG
		seasonid2=string.gsub(j_table_match2.INIT.SAISON,"/","")
	end
	
	os.execute("wget -O " .. matchdaytxt3 .. " -U Mozilla '" .. jsonconfig .. bldate[3] .. "/init.json'" )
	fm3 = io.open(matchdaytxt3, "r")
	if fm3 == nil then
		error("Kann nicht geladen werden: " .. matchdaytxt3)
	else
		m3 = fm3:read("*a")
		fm3:close()
	local j_table_match3 = json:decode(m3)
		matchday3=j_table_match3.INIT.SPIELTAG
		seasonid3=string.gsub(j_table_match3.INIT.SAISON,"/","")
	end
	
--	os.execute("wget -O " .. eventtxt .. " -U Mozilla '" .. jsonconfig_full .. bldate[1] .. "/se" .. seasonid .. "/md" .. matchday .. "/'" )
--	fm3 = io.open(eventtxt, "r")
--	if fm3 == nil then
--		error("Kann nicht geladen werden: " .. eventtxt)
--	else
--		m3 = fm3:read("*a")
	--	fm3:close()
--	local j_table_event = json:decode(m3)
--		event1 = json:decode(m3)
--	end
	
--	os.execute("wget -O " .. eventtxt2 .. " -U Mozilla '" .. jsonconfig_full .. bldate[2] .. "/se" .. seasonid2 .. "/md" .. matchday2 .. "/'" )
--	fm4 = io.open(eventtxt2, "r")
--	if fm4 == nil then
--		error("Kann nicht geladen werden: " .. eventtxt2)
--	else
--		m4 = fm4:read("*a")
--		fm4:close()
--	local j_table_event2 = json:decode(m4)
--		event2 = json:decode(m4)
--	end
	hb3:hide{no_restore=true}
end

function get_result_start()
	local hb2 = hintbox.new{ title="Info", text="Ergebnisse der " .. ligawahl .. ". Bundesliga werden geladen...", icon=bllogo}
	hb2:paint()
	get_result()
	hb2:hide{no_restore=true}
end

--Ergebnisse lesen
function get_result()
	if ligawahl == 1 then
		AnzahlBegegnungen=9
		bldatewahl = bldate[1]
		seasonidwahl=seasonid
		matchdaywahl=matchday
	end
	if ligawahl == 2 then
		AnzahlBegegnungen=9
		bldatewahl = bldate[2]
		seasonidwahl=seasonid2
		matchdaywahl=matchday2
	end
	if ligawahl == 3 then
		AnzahlBegegnungen=10
		bldatewahl = bldate[3]
		seasonidwahl=seasonid3
		matchdaywahl=matchday3
	end
	erghome={}
	ergaway={}
	finished={}
	farbe={}
	laeuft={}
	zeit={}
	datum={}
	
	os.execute("wget -O " .. ergebnistxt .. " -U Mozilla '" .. jsonconfig .. bldatewahl .. "/" .. seasonidwahl .. "/" .. matchdaywahl .. "/spieltag.json'" );
	fp = io.open(ergebnistxt, "r")
	if fp == nil then
		error("Kann nicht geladen werden: " .. ergebnistxt)
	else
		s = fp:read("*a")
		fp:close()
	end
	
	local j_table_ergebnis = json:decode(s)
	
	if ligawahl == 1 then
	zahl=1
		repeat
			--erghome[zahl]=j_table_ergebnis.event[event1[zahl]].home_score[1]
			erghome[zahl]=j_table_ergebnis.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].AKTUELL
			--ergaway[zahl]=j_table_ergebnis.event[event1[zahl]].away_score[1]
			finished[zahl]=j_table_ergebnis.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].BEENDET
			laeuft[zahl]=j_table_ergebnis.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].PHASE
			--laeuft=laeuft:gsub("-", "")
			--laeuft=laeuft:sub(3,8)
			--datum[zahl]=laeuft
			--uhr=j_table_ergebnis.event[event1[zahl]].date
			--uhr=uhr:gsub(":", "")
			--uhr=uhr:sub(12,19)
			--zeit[zahl]=uhr
			zahl=zahl + 1
		until zahl==AnzahlBegegnungen+1
	end
	
	if ligawahl == 2 then
	zahl=1
		repeat
			erghome[zahl]=j_table_ergebnis.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].AKTUELL
	--		--ergaway[zahl]=j_table_ergebnis.event[event2[zahl]].away_score[1]
	--		--finished[zahl]=j_table_ergebnis.event[event2[zahl]].finished
			finished[zahl]=j_table_ergebnis.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].BEENDET
			laeuft[zahl]=j_table_ergebnis.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].PHASE
		--	laeuft=j_table_ergebnis.event[event2[zahl]].date
		--	laeuft=laeuft:gsub("-", "")
		--	laeuft=laeuft:sub(3,8)
		--	datum[zahl]=laeuft
		--	uhr=j_table_ergebnis.event[event2[zahl]].date
		--	uhr=uhr:gsub(":", "")
		--	uhr=uhr:sub(12,19)
		--	zeit[zahl]=uhr
			zahl=zahl + 1
		until zahl==AnzahlBegegnungen+1
	end
	
	if ligawahl == 3 then
	zahl=1
		repeat
			erghome[zahl]=j_table_ergebnis.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].AKTUELL
	--		--ergaway[zahl]=j_table_ergebnis.event[event2[zahl]].away_score[1]
	--		--finished[zahl]=j_table_ergebnis.event[event2[zahl]].finished
			finished[zahl]=j_table_ergebnis.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].BEENDET
			laeuft[zahl]=j_table_ergebnis.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].PHASE
		--	laeuft=j_table_ergebnis.event[event2[zahl]].date
		--	laeuft=laeuft:gsub("-", "")
		--	laeuft=laeuft:sub(3,8)
		--	datum[zahl]=laeuft
		--	uhr=j_table_ergebnis.event[event2[zahl]].date
		--	uhr=uhr:gsub(":", "")
		--	uhr=uhr:sub(12,19)
		--	zeit[zahl]=uhr
			zahl=zahl + 1
		until zahl==AnzahlBegegnungen+1
	end
	zahl = 1
	repeat
		if erghome[zahl] == ""  then
			erghome[zahl] = "-:-"
			--ergaway[zahl] = "-"
		end
		if laeuft[zahl] ~= "VOR ANPFIFF" and  finished[zahl] == "NEIN" then
		--if datum[zahl] == os.date("%y%m%d") and zeit[zahl] <= os.date("%H%M%S") and finished[zahl] == "no" then
			farbe[zahl]=COL.RED
		else
			farbe[zahl]=COL.WHITE
		end
	zahl = zahl + 1
	until zahl == AnzahlBegegnungen+1

	local f=io.open(score, "w")
	if f == nil then
		error("Kann nicht geladen werden: " .. score)
	else
		for i = 1, AnzahlBegegnungen do
		f:write(erghome[i] .. "\n")
		-- .. erghome[2] .. "\n" .. erghome[3] .. "\n" .. erghome[4] .. "\n" .. erghome[5] .. "\n" .. erghome[6] .. "\n" .. erghome[7] .. "\n" .. erghome[8] .. "\n" .. erghome[9] ..  "\n" .. farbe[1] .. "\n" .. farbe[2] .. "\n" .. farbe[3] .. "\n" .. farbe[4] .. "\n" .. farbe[5] .. "\n" .. farbe[6] .. "\n" .. farbe[7] .. "\n" .. farbe[8] .. "\n" .. farbe[9])
		end
		for i = 1, AnzahlBegegnungen do
			f:write(farbe[i] .. "\n")
		end
		f:close()
	end
	lines={}
	for line in io.lines(score) do
		lines[#lines + 1]=line
	end
	return lines
end

--LogoID lesen
function get_logos()
	idaway={}
	idhome={}
	local j_table_logos = json:decode(s)
	
	if ligawahl== 1 then
		zahl=1
		repeat
			idhome[zahl]=j_table_logos.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].HEIMID
			idaway[zahl]=j_table_logos.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].GASTID
			zahl=zahl +1
		until zahl == AnzahlBegegnungen+1
	end
	
	if ligawahl == 2 then
		zahl=1
		repeat
			idhome[zahl]=j_table_logos.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].HEIMID
			idaway[zahl]=j_table_logos.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].GASTID
			zahl=zahl +1
		until zahl == AnzahlBegegnungen+1
	end
	
	if ligawahl == 3 then
		zahl=1
		repeat
			idhome[zahl]=j_table_logos.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].HEIMID
			idaway[zahl]=j_table_logos.SPIELTAG.LIVEERGEBNISSE.SPIELPAARUNG[zahl].GASTID
			zahl=zahl +1
		until zahl == AnzahlBegegnungen+1
	end
	return idhome, idaway
end

--Anlegen der Verzeichnisse und Logos
function lade_logos()
	ligawahl=1
	local hb = hintbox.new{ title="Info", text="Verzeichnis " .. pfad .. " nicht vorhanden!" .. "\n" .. "Verzeichnisse werden erstellt und Logos geladen!" .. "\n" .. "Bitte warten....", icon=bllogo}
	hb:paint()
	os.execute("mkdir -p " .. pfad)
	os.execute("mkdir -p " .. logopfad[1])
	os.execute("mkdir -p " .. logopfad[2])
	os.execute("mkdir -p " .. logopfad[3])
	--os.execute("mkdir -p " .. logopfad[4])
	get_matchday()
	get_result()
	get_logos()
	--count = 1
	--while count <= 9 do
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/14_60.png > " .. logopfad[ligawahl] .. "14_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/29_60.png > " .. logopfad[ligawahl] .. "29_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/30_60.png > " .. logopfad[ligawahl] .. "30_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/2_60.png > " .. logopfad[ligawahl] .. "2_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/3209_60.png > " .. logopfad[ligawahl] .. "3209_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/15778_60.png > " .. logopfad[ligawahl] .. "15778_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/4/4_60.png > " .. logopfad[ligawahl] .. "4_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/16_60.png > " .. logopfad[ligawahl] .. "16_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/15_60.png > " .. logopfad[ligawahl] .. "15_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/24_60.png > " .. logopfad[ligawahl] .. "24_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/109_60.png > " .. logopfad[ligawahl] .. "109_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/13_60.png > " .. logopfad[ligawahl] .. "13_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/9/9_60.png > " .. logopfad[ligawahl] .. "9_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/17_60.png > " .. logopfad[ligawahl] .. "17_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/6/62_60.png > " .. logopfad[ligawahl] .. "62_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/32_60.png > " .. logopfad[ligawahl] .. "32_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/7/7_60.png > " .. logopfad[ligawahl] .. "7_60.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/9/91_60.png > " .. logopfad[ligawahl] .. "91_60.png")
		
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/14_35.png > " .. logopfad[ligawahl] .. "14_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/29_35.png > " .. logopfad[ligawahl] .. "29_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/30_35.png > " .. logopfad[ligawahl] .. "30_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/2_35.png > " .. logopfad[ligawahl] .. "2_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/3209_35.png > " .. logopfad[ligawahl] .. "3209_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/15778_35.png > " .. logopfad[ligawahl] .. "15778_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/4/4_35.png > " .. logopfad[ligawahl] .. "4_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/16_35.png > " .. logopfad[ligawahl] .. "16_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/15_35.png > " .. logopfad[ligawahl] .. "15_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/24_35.png > " .. logopfad[ligawahl] .. "24_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/109_35.png > " .. logopfad[ligawahl] .. "109_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/13_35.png > " .. logopfad[ligawahl] .. "13_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/9/9_35.png > " .. logopfad[ligawahl] .. "9_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/17_35.png > " .. logopfad[ligawahl] .. "17_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/6/62_35.png > " .. logopfad[ligawahl] .. "62_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/32_35.png > " .. logopfad[ligawahl] .. "32_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/7/7_35.png > " .. logopfad[ligawahl] .. "7_35.png")
		os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/9/91_35.png > " .. logopfad[ligawahl] .. "91_35.png")
		
		--os.execute("wget -q -O - " .. logo_url_60 .. idaway[count] .. "_60.png > " .. logopfad[ligawahl] .. idaway[count] .. "_60.png")
		--os.execute("wget -q -O - " .. logo_url_40 .. idhome[count] .. "_35.png > " .. logopfad[ligawahl] .. idhome[count] .. "_35.png")
		--os.execute("wget -q -O - " .. logo_url_40 .. idaway[count] .. "_35.png > " .. logopfad[ligawahl] .. idaway[count] .. "_35.png")
		--count = count + 1
	--end
	
	ligawahl=2
	get_result()
	get_logos()
	--count=1
	--while count <= 9 do
		--os.execute("wget -q -O - " .. logo_url_60 .. idhome[count] .. "_60.png > " .. logopfad[ligawahl] .. idhome[count] .. "_60.png")
		--os.execute("wget -q -O - " .. logo_url_60 .. idaway[count] .. "_60.png > " .. logopfad[ligawahl] .. idaway[count] .. "_60.png")
		--os.execute("wget -q -O - " .. logo_url_40 .. idhome[count] .. "_35.png > " .. logopfad[4] .. idhome[count] .. "_35.png")
		--os.execute("wget -q -O - " .. logo_url_40 .. idaway[count] .. "_35.png > " .. logopfad[4] .. idaway[count] .. "_35.png")
		--count = count + 1
	--end
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/122_60.png > " .. logopfad[ligawahl] .. "122_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/18_60.png > " .. logopfad[ligawahl] .. "18_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/1604_60.png > " .. logopfad[ligawahl] .. "1604_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/5/58_60.png > " .. logopfad[ligawahl] .. "58_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/1297_60.png > " .. logopfad[ligawahl] .. "1297_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/8/8_60.png > " .. logopfad[ligawahl] .. "8_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/10_60.png > " .. logopfad[ligawahl] .. "10_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/8/81_60.png > " .. logopfad[ligawahl] .. "81_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/6/65_60.png > " .. logopfad[ligawahl] .. "65_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/9/98_60.png > " .. logopfad[ligawahl] .. "98_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/12_60.png > " .. logopfad[ligawahl] .. "12_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/1377_60.png > " .. logopfad[ligawahl] .. "1377_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/6/6_60.png > " .. logopfad[ligawahl] .. "6_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/6/64_60.png > " .. logopfad[ligawahl] .. "64_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/11306_60.png > " .. logopfad[ligawahl] .. "11306_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/8/82_60.png > " .. logopfad[ligawahl] .. "82_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/4/45_60.png > " .. logopfad[ligawahl] .. "45_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/11_60.png > " .. logopfad[ligawahl] .. "11_60.png")
		
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/122_35.png > " .. logopfad[ligawahl] .. "122_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/18_35.png > " .. logopfad[ligawahl] .. "18_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/1604_35.png > " .. logopfad[ligawahl] .. "1604_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/5/58_35.png > " .. logopfad[ligawahl] .. "58_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/1297_35.png > " .. logopfad[ligawahl] .. "1297_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/8/8_35.png > " .. logopfad[ligawahl] .. "8_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/10_35.png > " .. logopfad[ligawahl] .. "10_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/8/81_35.png > " .. logopfad[ligawahl] .. "81_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/6/65_35.png > " .. logopfad[ligawahl] .. "65_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/9/98_35.png > " .. logopfad[ligawahl] .. "98_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/12_35.png > " .. logopfad[ligawahl] .. "12_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/1377_35.png > " .. logopfad[ligawahl] .. "1377_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/6/6_35.png > " .. logopfad[ligawahl] .. "6_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/6/64_35.png > " .. logopfad[ligawahl] .. "64_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/11306_35.png > " .. logopfad[ligawahl] .. "11306_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/8/82_35.png > " .. logopfad[ligawahl] .. "82_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/4/45_35.png > " .. logopfad[ligawahl] .. "45_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/11_35.png > " .. logopfad[ligawahl] .. "11_35.png")

	ligawahl=3
	get_result()
	get_logos()
	--count=1
	--while count <= 9 do
		--os.execute("wget -q -O - " .. logo_url_60 .. idhome[count] .. "_60.png > " .. logopfad[ligawahl] .. idhome[count] .. "_60.png")
		--os.execute("wget -q -O - " .. logo_url_60 .. idaway[count] .. "_60.png > " .. logopfad[ligawahl] .. idaway[count] .. "_60.png")
		--os.execute("wget -q -O - " .. logo_url_40 .. idhome[count] .. "_35.png > " .. logopfad[4] .. idhome[count] .. "_35.png")
		--os.execute("wget -q -O - " .. logo_url_40 .. idaway[count] .. "_35.png > " .. logopfad[4] .. idaway[count] .. "_35.png")
		--count = count + 1
	--end
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/4/41_60.png > " .. logopfad[ligawahl] .. "41_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/7/7659_60.png > " .. logopfad[ligawahl] .. "7659_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/4/4440_60.png > " .. logopfad[ligawahl] .. "4440_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/38_60.png > " .. logopfad[ligawahl] .. "38_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/22491_60.png > " .. logopfad[ligawahl] .. "22491_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/104_60.png > " .. logopfad[ligawahl] .. "104_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/21_60.png > " .. logopfad[ligawahl] .. "21_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/22_60.png > " .. logopfad[ligawahl] .. "22_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/128_60.png > " .. logopfad[ligawahl] .. "128_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/37_60.png > " .. logopfad[ligawahl] .. "37_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/28_60.png > " .. logopfad[ligawahl] .. "28_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/3_60.png > " .. logopfad[ligawahl] .. "3_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/5/5836_60.png > " .. logopfad[ligawahl] .. "5836_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/34_60.png > " .. logopfad[ligawahl] .. "34_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/5/5_60.png > " .. logopfad[ligawahl] .. "5_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/7/7283_60.png > " .. logopfad[ligawahl] .. "7283_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/8/88_60.png > " .. logopfad[ligawahl] .. "88_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/6/63_60.png > " .. logopfad[ligawahl] .. "63_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/1_60.png > " .. logopfad[ligawahl] .. "1_60.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/36_60.png > " .. logopfad[ligawahl] .. "36_60.png")

		
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/4/41_35.png > " .. logopfad[ligawahl] .. "41_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/7/7659_35.png > " .. logopfad[ligawahl] .. "7659_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/4/4440_35.png > " .. logopfad[ligawahl] .. "4440_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/38_35.png > " .. logopfad[ligawahl] .. "38_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/22491_35.png > " .. logopfad[ligawahl] .. "22491_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/104_35.png > " .. logopfad[ligawahl] .. "104_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/21_35.png > " .. logopfad[ligawahl] .. "21_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/22_35.png > " .. logopfad[ligawahl] .. "22_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/128_35.png > " .. logopfad[ligawahl] .. "128_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/37_35.png > " .. logopfad[ligawahl] .. "37_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/2/28_35.png > " .. logopfad[ligawahl] .. "28_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/3_35.png > " .. logopfad[ligawahl] .. "3_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/5/5836_35.png > " .. logopfad[ligawahl] .. "5836_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/34_35.png > " .. logopfad[ligawahl] .. "34_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/5/5_35.png > " .. logopfad[ligawahl] .. "5_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/7/7283_35.png > " .. logopfad[ligawahl] .. "7283_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/8/88_35.png > " .. logopfad[ligawahl] .. "88_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/6/63_35.png > " .. logopfad[ligawahl] .. "63_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/1/1_35.png > " .. logopfad[ligawahl] .. "1_35.png")
	os.execute("wget -q -O - http://www.spiegel.de/static/sys/fussballticker/wappen/3/36_35.png > " .. logopfad[ligawahl] .. "36_35.png")

	hb:hide()
end

--Pruefen ob Pluginverzeichnis existiert
function FolderExists()
	local fileHandle, strError = io.open(logopfad[1], "r")
	if fileHandle ~= nil then
		io.close(fileHandle)
		return true
	else
		lade_logos()
	end
end

--Ergebnisse anzeigen im Fenster
function ergebnispaint()
	count = 1
	while count <= AnzahlBegegnungen do
		e[count]:paint()
		e[count]:setText{color_text=lines[count + AnzahlBegegnungen]}
		e[count]:setText{text=lines[count]}
		count = count + 1
	end
	e[10]:paint()
	e[11]:paint()
end

--Ergebnisse verbergen
function ergebnishide()
	count = 1
	while count <= 9 do
		e[count]:hide{}
		count = count + 1
	end
	e[10]:hide()
	e[11]:hide()
end

--Bilder anzeigen
function bilderpaint()
	count = 1
	while count <= 20 do
		p[count]:paint()
		count = count + 1
	end
end

--Bilder verbergen
function bilderhide()
	count = 1
	while count <= 20 do
		p[count]:hide()
		count = count + 1
	end
end

--automatische aktualisierung der Ergebnisse
function aktua()
	bilderpaint()
	aktuasec = conf["sekunden"] * 1000
	repeat
	    get_result()
	    ergebnishide()
	    ergebnispaint()
	    msg, data = n:GetInput(aktuasec)
	until msg == RC.red or msg == RC.home or msg == RC.green
	if msg == RC.red then
		ergebnishide()
		bilderhide()
		tickerfenster()
	elseif msg == RC.home then
		ergebnishide()
		bilderhide()
		beenden()
	elseif msg == RC.green then
		ergebnishide()
		bilderhide()
		pipmode=1
		get_tabelle()
		blitztabelle()
	end
end

--tmp-Ordner loeschen
function beenden()
	os.execute("rm -rf /tmp/liveticker/")
	if conf["remove_pfad"] == "Ja" then
		os.execute("rm -rf " .. pfad)
	end
end

--Funktion zum laden der Config
function loadConfig()
	config:loadConfig(confFile)
 
	conf["autostart_pip"] = config:getString("autostart_pip", "aus")
	conf["sekunden"]  = config:getString("sekunden",  30)
	conf["hinter_grau"]  = config:getString("hinter_grau",  "aus")
	conf["ligastart"]  = config:getString("ligastart",  "1.Liga")
	conf["font_size"]  = config:getString("font_size",  "normal")
end

--Funktion zum speichern der Config
function saveConfig()
	if configChanged == 1 then
		local h = hintbox.new{caption="Info", text="Einstellungen werden gespeichert...", icon="info"};
		h:paint();
 
		config:setString("autostart_pip", conf["autostart_pip"])
		config:setString("sekunden",  conf["sekunden"])
		config:setString("hinter_grau",  conf["hinter_grau"])
		config:setString("ligastart",  conf["ligastart"])
		config:setString("font_size", conf["font_size"])
 
		config:saveConfig(confFile)
 
		configChanged = 0
		posix.sleep(1)
		h:hide();
	end
end

--Liveticker im Fenster anzeigen
function tickerfenster()
    font_groesse()
    if ligawahl == 1 then
		AnzahlBegegnungen=9
		knop="2"
		matchdaywahl=matchday
    end
    if ligawahl == 2 then
        AnzahlBegegnungen=9
		knop="3"
        matchdaywahl=matchday2
    end
    if ligawahl == 3 then
        AnzahlBegegnungen=10
		knop="1"
        matchdaywahl=matchday3
    end
    local dxpic = 60
    local dypic = 60
    local dx = ((SCREEN.END_X - SCREEN.OFF_X) / 2) +300
    local dy = 450
	if AnzahlBegegnungen == 10 then dy = 500 end
    local x = ((SCREEN.END_X - SCREEN.OFF_X) - dx) / 2
    local y = ((SCREEN.END_Y - SCREEN.OFF_Y) - dy) / 2 
    
    w = cwindow.new{x=x, y=y, dx=dx, dy=dy, name="Bundesliga Liveticker" .. Pluginversion .. " - " .. ligawahl .. ". Bundesliga", icon=bllogo, has_shadow=true, btnRed="Einstellungen", btnGreen="Liveticker PIP", btnYellow="Blitztabelle", btnBlue=knop .. ". Bundesliga"}

    ctext.new{parent=w, x=250, y=5, dx=400, dy=60, text=matchdaywahl .. ". Spieltag", mode="ALIGN_AUTO_WIDTH | ALIGN_CENTER", font_text=FONT['MENU_TITLE']}
    
    ctext.new{parent=w, x=119, y=70  , dx=100, dy=60, text=lines[1], color_text=lines[AnzahlBegegnungen+1], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    ctext.new{parent=w, x=399, y=70  , dx=100, dy=60, text=lines[2], color_text=lines[AnzahlBegegnungen+1], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    ctext.new{parent=w, x=679, y=70  , dx=100, dy=60, text=lines[3], color_text=lines[AnzahlBegegnungen+1], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    ctext.new{parent=w, x=119, y=170 , dx=100, dy=60, text=lines[4], color_text=lines[AnzahlBegegnungen+1], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    ctext.new{parent=w, x=399, y=170 , dx=100, dy=60, text=lines[5], color_text=lines[AnzahlBegegnungen+1], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    ctext.new{parent=w, x=679, y=170 , dx=100, dy=60, text=lines[6], color_text=lines[AnzahlBegegnungen+1], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    ctext.new{parent=w, x=119, y=270 , dx=100, dy=60, text=lines[7], color_text=lines[AnzahlBegegnungen+1], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    ctext.new{parent=w, x=399, y=270 , dx=100, dy=60, text=lines[8], color_text=lines[AnzahlBegegnungen+1], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    ctext.new{parent=w, x=679, y=270 , dx=100, dy=60, text=lines[9], color_text=lines[AnzahlBegegnungen+1], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
	if AnzahlBegegnungen == 10 then
		ctext.new{parent=w, x=399, y=370 , dx=100, dy=60, text=lines[10], color_text=lines[AnzahlBegegnungen+1], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
	end
    cpicture.new{parent=w, x=60 , y=70  , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[1] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=220, y=70  , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[1] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=340, y=70  , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[2] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=500, y=70  , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[2] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=620, y=70  , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[3] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=780, y=70  , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[3] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=60 , y=170 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[4] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=220, y=170 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[4] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=340, y=170 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[5] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=500, y=170 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[5] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=620, y=170 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[6] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=780, y=170 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[6] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=60 , y=270 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[7] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=220, y=270 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[7] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=340, y=270 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[8] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=500, y=270 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[8] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=620, y=270 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[9] .. "_60.png", transparency=2}
    cpicture.new{parent=w, x=780, y=270 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[9] .. "_60.png", transparency=2}
    if AnzahlBegegnungen == 10 then
		cpicture.new{parent=w, x=340, y=370 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[10] .. "_60.png", transparency=2}
		cpicture.new{parent=w, x=500, y=370 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[10] .. "_60.png", transparency=2}
	end
	
	w:paint()

	repeat
		msg, data = n:GetInput(500)
		if (msg == RC['red']) then
			w:hide{}
			addMenue()
		elseif (msg == RC['green']) then
			w:hide{}
			loadConfig()
			get_result()
			tickertv()
		elseif (msg == RC['yellow']) then
			w:hide{}
			pipmode=0
			get_tabelle()
			blitztabelle()			
		elseif (msg == RC['blue']) then
			w:hide{}
			if ligawahl == 1 then
				ligawahl = 2
			elseif ligawahl == 2 then
				ligawahl = 3
			elseif ligawahl == 3 then
				ligawahl = 1
			end
			loadConfig()
			get_result_start()
			get_logos()
			tickerfenster()	
		elseif (msg == RC['setup']) then
			w:hide{}
			addMenue()
		end
	until msg == RC['home']
	w:hide{}
	beenden()
end

--Liveticker anzeigen ohne Window
function tickertv()
    hint_farbe()
    font_groesse()
    local dxpic = 40
    local dypic = 40
    local dxtxt = 100
    local dytxt = 40
    local breite = dxpic+dxtxt+dxpic
    local zwischenraum = (SCREEN.END_X - SCREEN.OFF_X - (5*breite)) / 5
    local xx = SCREEN.OFF_X+(zwischenraum/2) -- wir nehmen die Haelfte von "zwischenraum" fuer einen schmalen freien linken Abstand vom Rand
    local yy = SCREEN.END_Y
    e={}
    p={}

    --Texte in oberer Reihe
    e[1]=ctext.new{x=xx+dxpic                                   , y=yy-120, dx=dxtxt, dy=dytxt, text=lines[1], color_body=hinterfarbe, color_text=lines[10], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    e[2]=ctext.new{x=xx+breite+zwischenraum+dxpic               , y=yy-120, dx=dxtxt, dy=dytxt, text=lines[2], color_body=hinterfarbe, color_text=lines[11], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    e[3]=ctext.new{x=xx+2*(breite+zwischenraum)+dxpic           , y=yy-120, dx=dxtxt, dy=dytxt, text=lines[3], color_body=hinterfarbe, color_text=lines[12], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    e[4]=ctext.new{x=xx+3*(breite+zwischenraum)+dxpic           , y=yy-120, dx=dxtxt, dy=dytxt, text=lines[4], color_body=hinterfarbe, color_text=lines[13], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    e[9]=ctext.new{x=xx+4*(breite+zwischenraum)+dxpic           , y=yy-120, dx=dxtxt, dy=dytxt, text=lines[9], color_body=hinterfarbe, color_text=lines[18], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    --Texte in unterer Reihe
    e[5]=ctext.new{x=xx+dxpic                                   , y=yy-60 , dx=dxtxt, dy=dytxt, text=lines[5], color_body=hinterfarbe, color_text=lines[14], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    e[6]=ctext.new{x=xx+breite+zwischenraum+dxpic               , y=yy-60 , dx=dxtxt, dy=dytxt, text=lines[6], color_body=hinterfarbe, color_text=lines[15], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    e[7]=ctext.new{x=xx+2*(breite+zwischenraum)+dxpic           , y=yy-60 , dx=dxtxt, dy=dytxt, text=lines[7], color_body=hinterfarbe, color_text=lines[16], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    e[8]=ctext.new{x=xx+3*(breite+zwischenraum)+dxpic           , y=yy-60 , dx=dxtxt, dy=dytxt, text=lines[8], color_body=hinterfarbe, color_text=lines[17], mode="ALIGN_CENTER", font_text=FONT[fontsize]}
    e[10]=ctext.new{x=xx+4*(breite+zwischenraum)+20             , y=yy-60 , dx=80   , dy=dytxt, text="zurück", color_body=0xFF, mode="ALIGN_LEFT"}
    e[11]=ctext.new{x=xx+4*(breite+zwischenraum)+dxpic+dxtxt+20 , y=yy-60 , dx=60   , dy=dytxt, text="BT", color_body=0xFF, mode="ALIGN_LEFT"}

    --Bilder in oberer Reihe
    p[1]=cpicture.new{x=xx                                      , y=yy-120, dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[1] .. "_35.png", transparency=2, color_background=0xFF}
    p[2]=cpicture.new{x=xx+dxpic+dxtxt                          , y=yy-120, dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[1] .. "_35.png", transparency=2, color_background=0xFF}
    p[3]=cpicture.new{x=xx+breite+zwischenraum                  , y=yy-120, dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[2] .. "_35.png", transparency=2, color_background=0xFF}
    p[4]=cpicture.new{x=xx+breite+zwischenraum+dxpic+dxtxt      , y=yy-120, dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[2] .. "_35.png", transparency=2, color_background=0xFF}
    p[5]=cpicture.new{x=xx+2*(breite+zwischenraum)              , y=yy-120, dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[3] .. "_35.png", transparency=2, color_background=0xFF}
    p[6]=cpicture.new{x=xx+2*(breite+zwischenraum)+dxpic+dxtxt  , y=yy-120, dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[3] .. "_35.png", transparency=2, color_background=0xFF}
    p[7]=cpicture.new{x=xx+3*(breite+zwischenraum)              , y=yy-120, dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[4] .. "_35.png", transparency=2, color_background=0xFF}
    p[8]=cpicture.new{x=xx+3*(breite+zwischenraum)+dxpic+dxtxt  , y=yy-120, dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[4] .. "_35.png", transparency=2, color_background=0xFF}
    p[17]=cpicture.new{x=xx+4*(breite+zwischenraum)             , y=yy-120, dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[9] .. "_35.png", transparency=2, color_background=0xFF}
    p[18]=cpicture.new{x=xx+4*(breite+zwischenraum)+dxpic+dxtxt , y=yy-120, dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[9] .. "_35.png", transparency=2, color_background=0xFF}
    --Bilder in unterer Reihe
    p[9]=cpicture.new{x=xx                                      , y=yy-60 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[5] .. "_35.png", transparency=2, color_background=0xFF}
    p[10]=cpicture.new{x=xx+dxpic+dxtxt                         , y=yy-60 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[5] .. "_35.png", transparency=2, color_background=0xFF}
    p[11]=cpicture.new{x=xx+breite+zwischenraum                 , y=yy-60 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[6] .. "_35.png", transparency=2, color_background=0xFF}
    p[12]=cpicture.new{x=xx+breite+zwischenraum+dxpic+dxtxt     , y=yy-60 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[6] .. "_35.png", transparency=2, color_background=0xFF}
    p[13]=cpicture.new{x=xx+2*(breite+zwischenraum)             , y=yy-60 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[7] .. "_35.png", transparency=2, color_background=0xFF}
    p[14]=cpicture.new{x=xx+2*(breite+zwischenraum)+dxpic+dxtxt , y=yy-60 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[7] .. "_35.png", transparency=2, color_background=0xFF}
    p[15]=cpicture.new{x=xx+3*(breite+zwischenraum)             , y=yy-60 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idhome[8] .. "_35.png", transparency=2, color_background=0xFF}
    p[16]=cpicture.new{x=xx+3*(breite+zwischenraum)+dxpic+dxtxt , y=yy-60 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. idaway[8] .. "_35.png", transparency=2, color_background=0xFF}
    p[19]=cpicture.new{x=xx+4*(breite+zwischenraum)             , y=yy-50 , dx=20   , dy=20   , image="rot", transparency=2, color_background=0xFF, mode="ALIGN_CENTER"}
    p[20]=cpicture.new{x=xx+4*(breite+zwischenraum)+dxpic+dxtxt , y=yy-50 , dx=20   , dy=20   , image="gruen", transparency=2, color_background=0xFF, mode="ALIGN_CENTER"}

    aktua()
end

--Tabelle zeichnen
function tabelle_paint()
	local maxcount=163
	count = 1
	if AnzahlBegegnungen==10 then maxcount=179 end
	while count <= maxcount do
		ta[count]:paint()
		count = count + 1
	end
end

--Tabelle verbergen
function tabelle_hide()
	local maxcount=163
	count = 1
	if AnzahlBegegnungen==10 then maxcount=179 end
	while count <= maxcount do
		ta[count]:hide{}
		count = count + 1
	end
end

--Blitztabelle auslesen
function get_tabelle()
	if ligawahl == 1 then
		AnzahlBegegnungen=9
		bldatewahl = bldate[1]
		seasonidwahl=seasonid
		matchdaywahl=matchday
	end
	if ligawahl == 2 then
		AnzahlBegegnungen=9
		bldatewahl = bldate[2]
		seasonidwahl=seasonid2
		matchdaywahl=matchday2
	end
	if ligawahl == 3 then
		AnzahlBegegnungen=10
		bldatewahl = bldate[3]
		seasonidwahl=seasonid3
		matchdaywahl=matchday3
	end

	os.execute("wget -O " .. ergebnistxt .. " -U Mozilla '" .. jsonconfig .. bldatewahl .. "/" .. seasonidwahl .. "/" .. matchdaywahl .. "/spieltag.json'" )
	tt = io.open(ergebnistxt, "r")
	if tt == nil then
		error("Kann nicht geladen werden: " .. ergebnistxt)
	else
		td = tt:read("*a")
		tt:close()
	end
	
	local j_table = json:decode(td)
	
	--zaehler = 1
	--repeat
	
	--if j_table.ranking[zaehler].rank == "" then
	--j_table.ranking[zaehler].rank = 1
	--end
	
	--if j_table.ranking[zaehler].last_rank == "" then
	--j_table.ranking[zaehler].last_rank = 1
	--end
	
	--diffrank=j_table.ranking[zaehler].rank - j_table.ranking[zaehler].last_rank
		--if diffrank < 0 then
		--j_table.ranking[zaehler].last_rank = "up"
		--end
		--if  diffrank > 0 then
		--j_table.ranking[zaehler].last_rank = "down"
		--end
		----if diffrank == 0 then
		--j_table.ranking[zaehler].last_rank = "left"
		--end
	--zaehler = zaehler + 1
	--until zaehler == 19
	
	local f=io.open(tabelle1, "w")
	if f == nil then
		error("Kann nicht geladen werden: " .. tabelle1)
	else
		for i = 1, (AnzahlBegegnungen*2) do
				f:write(j_table.SPIELTAG.LIVETABELLE.VEREIN[i].PLATZ .. "\n" .. j_table.SPIELTAG.LIVETABELLE.VEREIN[i].ID .. "\n" .. j_table.SPIELTAG.LIVETABELLE.VEREIN[i].SPIELE .. "\n" .. j_table.SPIELTAG.LIVETABELLE.VEREIN[i].GEWONNEN .. "\n" .. j_table.SPIELTAG.LIVETABELLE.VEREIN[i].UNENTSCHIEDEN .. "\n" .. j_table.SPIELTAG.LIVETABELLE.VEREIN[i].VERLOREN .. "\n" .. j_table.SPIELTAG.LIVETABELLE.VEREIN[i].TOREDIFFERENZ .. "\n" .. j_table.SPIELTAG.LIVETABELLE.VEREIN[i].PUNKTE .. "\n")
				end
		f:close()
	end

	lines={}
	for line in io.lines(tabelle1) do
		lines[#lines + 1]=line
	end
	return lines
end

--Blitztabelle bauen und anzeigen
function blitztabelle()
local dxpic = 40
local dypic = 40
local dx = ((SCREEN.END_X - SCREEN.OFF_X) / 2) +30
local dy = (SCREEN.END_Y - SCREEN.OFF_Y) / 2
local y = SCREEN.OFF_Y + 20
local y_variabel
ta={}

--ta[164]=cpicture.new{x=dx-50, y=y+110 , dx=20, dy=20, image=lines[9], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[165]=cpicture.new{x=dx-50, y=y+160 , dx=20, dy=20, image=lines[18], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[166]=cpicture.new{x=dx-50, y=y+210 , dx=20, dy=20, image=lines[27], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[167]=cpicture.new{x=dx-50, y=y+260 , dx=20, dy=20, image=lines[36], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[168]=cpicture.new{x=dx-50, y=y+310 , dx=20, dy=20, image=lines[45], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[169]=cpicture.new{x=dx-50, y=y+360 , dx=20, dy=20, image=lines[54], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[170]=cpicture.new{x=dx-50, y=y+410 , dx=20, dy=20, image=lines[63], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[171]=cpicture.new{x=dx-50, y=y+460 , dx=20, dy=20, image=lines[72], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[172]=cpicture.new{x=dx-50, y=y+510 , dx=20, dy=20, image=lines[81], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}

--ta[173]=cpicture.new{x=dx+470, y=y+110 , dx=20, dy=20, image=lines[90], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[174]=cpicture.new{x=dx+470, y=y+160 , dx=20, dy=20, image=lines[99], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[175]=cpicture.new{x=dx+470, y=y+210 , dx=20, dy=20, image=lines[108], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[176]=cpicture.new{x=dx+470, y=y+260 , dx=20, dy=20, image=lines[117], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[177]=cpicture.new{x=dx+470, y=y+310 , dx=20, dy=20, image=lines[126], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[178]=cpicture.new{x=dx+470, y=y+360 , dx=20, dy=20, image=lines[135], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[179]=cpicture.new{x=dx+470, y=y+410 , dx=20, dy=20, image=lines[144], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[180]=cpicture.new{x=dx+470, y=y+460 , dx=20, dy=20, image=lines[153], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}
--ta[181]=cpicture.new{x=dx+470, y=y+510 , dx=20, dy=20, image=lines[162], transparency=2, mode="ALIGN_CENTER", color_background=0xFF}

ta[1]=cpicture.new{x=dx-330, y=y+600, dx=20 , dy=10, image="rot", transparency=2, color_background=0xFF, mode="ALIGN_RIGHT"}
ta[2]=ctext.new{   x=dx-300, y=y+600, dx=200, dy=20, text="Aktualisieren", color_body=0xFF, color_text=COL['WHITE'], font_text=FONT['MENU'], mode="ALIGN_LEFT" }
ta[3]=cpicture.new{x=dx+220, y=y+600, dx=20 , dy=10, image="gruen", transparency=2, color_background=0xFF, mode="ALIGN_RIGHT"}
ta[4]=ctext.new{   x=dx+250, y=y+600, dx=200, dy=20, text="Zurück", color_body=0xFF, color_text=COL['WHITE'], font_text=FONT['MENU'], mode="ALIGN_LEFT" }
ta[5]=ctext.new{   x=dx-460, y=y-20 , dx=920, dy=70, text="Blitztabelle " .. ligawahl .. ". Bundesliga", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT'], font_text=FONT['MENU_TITLE'], mode="ALIGN_CENTER" }

ta[6]=ctext.new{x=dx-460, y=y+50 , dx=40, dy=dxpic, text="PL", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}
ta[7]=ctext.new{x=dx-420, y=y+50 , dx=90, dy=dxpic, text="SP", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}
ta[8]=ctext.new{x=dx-330, y=y+50 , dx=50, dy=dxpic, text="S", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}
ta[9]=ctext.new{x=dx-280, y=y+50 , dx=40, dy=dxpic, text="U", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}
ta[10]=ctext.new{x=dx-240, y=y+50 , dx=40, dy=dxpic, text="N", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}
ta[11]=ctext.new{x=dx-200, y=y+50 , dx=70, dy=dxpic, text="TD", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}
ta[12]=ctext.new{x=dx-130, y=y+50 , dx=70, dy=dxpic, text="PKT", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}

ta[13]=ctext.new{x=dx-60, y=y+50 , dx=160, dy=dxpic, text="PL", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}
ta[14]=ctext.new{x=dx+100, y=y+50 , dx=90, dy=dxpic, text="SP", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}
ta[15]=ctext.new{x=dx+190, y=y+50 , dx=50, dy=dxpic, text="S", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}
ta[16]=ctext.new{x=dx+240, y=y+50 , dx=40, dy=dxpic, text="U", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}
ta[17]=ctext.new{x=dx+280, y=y+50 , dx=40, dy=dxpic, text="N", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}
ta[18]=ctext.new{x=dx+320, y=y+50 , dx=70, dy=dxpic, text="TD", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}
ta[19]=ctext.new{x=dx+390, y=y+50 , dx=70, dy=dxpic, text="PKT", mode="ALIGN_RIGHT", color_body=COL['MENUCONTENT'], color_text=COL['MENUCONTENT_TEXT']}
--Platz1
ta[20]=ctext.new{x=dx-460, y=y+100 , dx=40, dy=dxpic, text=lines[1], color_body=COL['BLACK'], mode="ALIGN_CENTER"}
ta[21]=cpicture.new{x=dx-420, y=y+100 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[2] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['BLACK']}
ta[22]=ctext.new{x=dx-380, y=y+100 , dx=50, dy=dxpic, text=lines[3], color_body=COL['BLACK'], mode="ALIGN_RIGHT"}
ta[23]=ctext.new{x=dx-330, y=y+100 , dx=50, dy=dxpic, text=lines[4], color_body=COL['BLACK'], mode="ALIGN_RIGHT"}
ta[24]=ctext.new{x=dx-280, y=y+100 , dx=40, dy=dxpic, text=lines[5], color_body=COL['BLACK'], mode="ALIGN_RIGHT"}
ta[25]=ctext.new{x=dx-240, y=y+100 , dx=40, dy=dxpic, text=lines[6], color_body=COL['BLACK'], mode="ALIGN_RIGHT"}
ta[26]=ctext.new{x=dx-200, y=y+100 , dx=70, dy=dxpic, text=lines[7], color_body=COL['BLACK'], mode="ALIGN_RIGHT"}
ta[27]=ctext.new{x=dx-130, y=y+100 , dx=70, dy=dxpic, text=lines[8], color_body=COL['BLACK'], mode="ALIGN_RIGHT"}
--Platz2
ta[28]=ctext.new{x=dx-460, y=y+150 , dx=40, dy=dxpic, text=lines[9], color_body=COL['BLACK'], mode="ALIGN_CENTER"}
ta[29]=cpicture.new{x=dx-420, y=y+150 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[10] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['BLACK']}
ta[30]=ctext.new{x=dx-380, y=y+150 , dx=50, dy=dxpic, text=lines[11], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[31]=ctext.new{x=dx-330, y=y+150 , dx=50, dy=dxpic, text=lines[12], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[32]=ctext.new{x=dx-280, y=y+150 , dx=40, dy=dxpic, text=lines[13], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[33]=ctext.new{x=dx-240, y=y+150 , dx=40, dy=dxpic, text=lines[14], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[34]=ctext.new{x=dx-200, y=y+150 , dx=70, dy=dxpic, text=lines[15], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[35]=ctext.new{x=dx-130, y=y+150 , dx=70, dy=dxpic, text=lines[16], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
--Platz3
ta[36]=ctext.new{x=dx-460, y=y+200 , dx=40, dy=dxpic, text=lines[17], color_body=COL['BLACK'], mode="ALIGN_CENTER"}
ta[37]=cpicture.new{x=dx-420, y=y+200 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[18] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['BLACK']}
ta[38]=ctext.new{x=dx-380, y=y+200 , dx=50, dy=dxpic, text=lines[19], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[39]=ctext.new{x=dx-330, y=y+200 , dx=50, dy=dxpic, text=lines[20], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[40]=ctext.new{x=dx-280, y=y+200 , dx=40, dy=dxpic, text=lines[21], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[41]=ctext.new{x=dx-240, y=y+200 , dx=40, dy=dxpic, text=lines[22], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[42]=ctext.new{x=dx-200, y=y+200 , dx=70, dy=dxpic, text=lines[23], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[43]=ctext.new{x=dx-130, y=y+200 , dx=70, dy=dxpic, text=lines[24], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
--Platz4
ta[44]=ctext.new{x=dx-460, y=y+250 , dx=40, dy=dxpic, text=lines[25], color_body=COL['DARK_GRAY'], mode="ALIGN_CENTER"}
ta[45]=cpicture.new{x=dx-420, y=y+250 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[26] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['DARK_GRAY']}
ta[46]=ctext.new{x=dx-380, y=y+250 , dx=50, dy=dxpic, text=lines[27], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[47]=ctext.new{x=dx-330, y=y+250 , dx=50, dy=dxpic, text=lines[28], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[48]=ctext.new{x=dx-280, y=y+250 , dx=40, dy=dxpic, text=lines[29], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[49]=ctext.new{x=dx-240, y=y+250 , dx=40, dy=dxpic, text=lines[30], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[50]=ctext.new{x=dx-200, y=y+250 , dx=70, dy=dxpic, text=lines[31], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[51]=ctext.new{x=dx-130, y=y+250 , dx=70, dy=dxpic, text=lines[32], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
--Platz5
ta[52]=ctext.new{x=dx-460, y=y+300 , dx=40, dy=dxpic, text=lines[33], color_body=COL['DARK_GRAY'], mode="ALIGN_CENTER"}
ta[53]=cpicture.new{x=dx-420, y=y+300 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[34] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['DARK_GRAY']}
ta[54]=ctext.new{x=dx-380, y=y+300 , dx=50, dy=dxpic, text=lines[35], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[55]=ctext.new{x=dx-330, y=y+300 , dx=50, dy=dxpic, text=lines[36], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[56]=ctext.new{x=dx-280, y=y+300 , dx=40, dy=dxpic, text=lines[37], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[57]=ctext.new{x=dx-240, y=y+300 , dx=40, dy=dxpic, text=lines[38], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[58]=ctext.new{x=dx-200, y=y+300 , dx=70, dy=dxpic, text=lines[39], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[59]=ctext.new{x=dx-130, y=y+300 , dx=70, dy=dxpic, text=lines[40], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
--Platz6
ta[60]=ctext.new{x=dx-460, y=y+350 , dx=40, dy=dxpic, text=lines[41], color_body=COL['DARK_GRAY'], mode="ALIGN_CENTER"}
ta[61]=cpicture.new{x=dx-420, y=y+350 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[42] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['DARK_GRAY']}
ta[62]=ctext.new{x=dx-380, y=y+350 , dx=50, dy=dxpic, text=lines[43], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[63]=ctext.new{x=dx-330, y=y+350 , dx=50, dy=dxpic, text=lines[44], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[64]=ctext.new{x=dx-280, y=y+350 , dx=40, dy=dxpic, text=lines[45], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[65]=ctext.new{x=dx-240, y=y+350 , dx=40, dy=dxpic, text=lines[46], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[66]=ctext.new{x=dx-200, y=y+350 , dx=70, dy=dxpic, text=lines[47], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[67]=ctext.new{x=dx-130, y=y+350 , dx=70, dy=dxpic, text=lines[48], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
--Platz7
ta[68]=ctext.new{x=dx-460, y=y+400 , dx=40, dy=dxpic, text=lines[49], color_body=COL['LIGHT_GRAY'], mode="ALIGN_CENTER"}
ta[69]=cpicture.new{x=dx-420, y=y+400 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[50] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['LIGHT_GRAY']}
ta[70]=ctext.new{x=dx-380, y=y+400 , dx=50, dy=dxpic, text=lines[51], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[71]=ctext.new{x=dx-330, y=y+400 , dx=50, dy=dxpic, text=lines[52], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[72]=ctext.new{x=dx-280, y=y+400 , dx=40, dy=dxpic, text=lines[53], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[73]=ctext.new{x=dx-240, y=y+400 , dx=40, dy=dxpic, text=lines[54], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[74]=ctext.new{x=dx-200, y=y+400 , dx=70, dy=dxpic, text=lines[55], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[75]=ctext.new{x=dx-130, y=y+400 , dx=70, dy=dxpic, text=lines[56], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
--Platz8
ta[76]=ctext.new{x=dx-460, y=y+450 , dx=40, dy=dxpic, text=lines[57], color_body=COL['LIGHT_GRAY'], mode="ALIGN_CENTER"}
ta[77]=cpicture.new{x=dx-420, y=y+450 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[58] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['LIGHT_GRAY']}
ta[78]=ctext.new{x=dx-380, y=y+450 , dx=50, dy=dxpic, text=lines[59], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[79]=ctext.new{x=dx-330, y=y+450 , dx=50, dy=dxpic, text=lines[60], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[80]=ctext.new{x=dx-280, y=y+450 , dx=40, dy=dxpic, text=lines[61], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[81]=ctext.new{x=dx-240, y=y+450 , dx=40, dy=dxpic, text=lines[62], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[82]=ctext.new{x=dx-200, y=y+450 , dx=70, dy=dxpic, text=lines[63], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[83]=ctext.new{x=dx-130, y=y+450 , dx=70, dy=dxpic, text=lines[64], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
--Platz9
ta[84]=ctext.new{x=dx-460, y=y+500 , dx=40, dy=dxpic, text=lines[65], color_body=COL['LIGHT_GRAY'], mode="ALIGN_CENTER"}
ta[85]=cpicture.new{x=dx-420, y=y+500 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[66] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['LIGHT_GRAY']}
ta[86]=ctext.new{x=dx-380, y=y+500 , dx=50, dy=dxpic, text=lines[67], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[87]=ctext.new{x=dx-330, y=y+500 , dx=50, dy=dxpic, text=lines[68], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[88]=ctext.new{x=dx-280, y=y+500 , dx=40, dy=dxpic, text=lines[69], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[89]=ctext.new{x=dx-240, y=y+500 , dx=40, dy=dxpic, text=lines[70], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[90]=ctext.new{x=dx-200, y=y+500 , dx=70, dy=dxpic, text=lines[71], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[91]=ctext.new{x=dx-130, y=y+500 , dx=70, dy=dxpic, text=lines[72], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
--Platz10
if AnzahlBegegnungen==10 then
	y_variabel=550
	ta[92]=ctext.new{x=dx-460, y=y+y_variabel , dx=40, dy=dxpic, text=lines[73], color_body=COL['LIGHT_GRAY'], mode="ALIGN_CENTER"}
	ta[93]=cpicture.new{x=dx-420, y=y+y_variabel , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[74] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['LIGHT_GRAY']}
	ta[94]=ctext.new{x=dx-380, y=y+y_variabel , dx=50, dy=dxpic, text=lines[75], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
	ta[95]=ctext.new{x=dx-330, y=y+y_variabel , dx=50, dy=dxpic, text=lines[76], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
	ta[96]=ctext.new{x=dx-280, y=y+y_variabel , dx=40, dy=dxpic, text=lines[77], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
	ta[97]=ctext.new{x=dx-240, y=y+y_variabel , dx=40, dy=dxpic, text=lines[78], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
	ta[98]=ctext.new{x=dx-200, y=y+y_variabel , dx=70, dy=dxpic, text=lines[79], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
	ta[99]=ctext.new{x=dx-130, y=y+y_variabel , dx=70, dy=dxpic, text=lines[80], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
elseif AnzahlBegegnungen==9 then
	y_variabel=100
	ta[92]=ctext.new{x=dx+60, y=y+y_variabel , dx=40, dy=dxpic, text=lines[73], color_body=COL['LIGHT_GRAY'], mode="ALIGN_CENTER"}
	ta[93]=cpicture.new{x=dx+100, y=y+y_variabel , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[74] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['LIGHT_GRAY']}
	ta[94]=ctext.new{x=dx+140, y=y+y_variabel , dx=50, dy=dxpic, text=lines[75], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
	ta[95]=ctext.new{x=dx+190, y=y+y_variabel , dx=50, dy=dxpic, text=lines[76], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
	ta[96]=ctext.new{x=dx+240, y=y+y_variabel , dx=40, dy=dxpic, text=lines[77], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
	ta[97]=ctext.new{x=dx+280, y=y+y_variabel , dx=40, dy=dxpic, text=lines[78], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
	ta[98]=ctext.new{x=dx+320, y=y+y_variabel , dx=70, dy=dxpic, text=lines[79], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
	ta[99]=ctext.new{x=dx+390, y=y+y_variabel , dx=70, dy=dxpic, text=lines[80], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
end
--Platz11
if AnzahlBegegnungen==10 then y_variabel=50 end
ta[100]=ctext.new{x=dx+60, y=y+y_variabel+50 , dx=40, dy=dxpic, text=lines[81], color_body=COL['LIGHT_GRAY'], mode="ALIGN_CENTER"}
ta[101]=cpicture.new{x=dx+100, y=y+y_variabel+50 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[82] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['LIGHT_GRAY']}
ta[102]=ctext.new{x=dx+140, y=y+y_variabel+50 , dx=50, dy=dxpic, text=lines[83], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[103]=ctext.new{x=dx+190, y=y+y_variabel+50 , dx=50, dy=dxpic, text=lines[84], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[104]=ctext.new{x=dx+240, y=y+y_variabel+50 , dx=40, dy=dxpic, text=lines[85], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[105]=ctext.new{x=dx+280, y=y+y_variabel+50 , dx=40, dy=dxpic, text=lines[86], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[106]=ctext.new{x=dx+320, y=y+y_variabel+50 , dx=70, dy=dxpic, text=lines[87], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[107]=ctext.new{x=dx+390, y=y+y_variabel+50 , dx=70, dy=dxpic, text=lines[88], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
--Platz12
ta[108]=ctext.new{x=dx+60, y=y+y_variabel+100 , dx=40, dy=dxpic, text=lines[89], color_body=COL['LIGHT_GRAY'], mode="ALIGN_CENTER"}
ta[109]=cpicture.new{x=dx+100, y=y+y_variabel+100 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[90] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['LIGHT_GRAY']}
ta[110]=ctext.new{x=dx+140, y=y+y_variabel+100 , dx=50, dy=dxpic, text=lines[91], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[111]=ctext.new{x=dx+190, y=y+y_variabel+100 , dx=50, dy=dxpic, text=lines[92], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[112]=ctext.new{x=dx+240, y=y+y_variabel+100 , dx=40, dy=dxpic, text=lines[93], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[113]=ctext.new{x=dx+280, y=y+y_variabel+100 , dx=40, dy=dxpic, text=lines[94], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[114]=ctext.new{x=dx+320, y=y+y_variabel+100 , dx=70, dy=dxpic, text=lines[95], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[115]=ctext.new{x=dx+390, y=y+y_variabel+100 , dx=70, dy=dxpic, text=lines[96], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
--Platz13
ta[116]=ctext.new{x=dx+60, y=y+y_variabel+150 , dx=40, dy=dxpic, text=lines[97], color_body=COL['LIGHT_GRAY'], mode="ALIGN_CENTER"}
ta[117]=cpicture.new{x=dx+100, y=y+y_variabel+150 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[98] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['LIGHT_GRAY']}
ta[118]=ctext.new{x=dx+140, y=y+y_variabel+150 , dx=50, dy=dxpic, text=lines[99], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[119]=ctext.new{x=dx+190, y=y+y_variabel+150 , dx=50, dy=dxpic, text=lines[100], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[120]=ctext.new{x=dx+240, y=y+y_variabel+150 , dx=40, dy=dxpic, text=lines[101], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[121]=ctext.new{x=dx+280, y=y+y_variabel+150 , dx=40, dy=dxpic, text=lines[102], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[122]=ctext.new{x=dx+320, y=y+y_variabel+150 , dx=70, dy=dxpic, text=lines[103], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[123]=ctext.new{x=dx+390, y=y+y_variabel+150 , dx=70, dy=dxpic, text=lines[104], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
--Platz14
ta[124]=ctext.new{x=dx+60, y=y+y_variabel+200 , dx=40, dy=dxpic, text=lines[105], color_body=COL['LIGHT_GRAY'], mode="ALIGN_CENTER"}
ta[125]=cpicture.new{x=dx+100, y=y+y_variabel+200 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[106] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['LIGHT_GRAY']}
ta[126]=ctext.new{x=dx+140, y=y+y_variabel+200 , dx=50, dy=dxpic, text=lines[107], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[127]=ctext.new{x=dx+190, y=y+y_variabel+200 , dx=50, dy=dxpic, text=lines[108], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[128]=ctext.new{x=dx+240, y=y+y_variabel+200 , dx=40, dy=dxpic, text=lines[109], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[129]=ctext.new{x=dx+280, y=y+y_variabel+200 , dx=40, dy=dxpic, text=lines[110], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[130]=ctext.new{x=dx+320, y=y+y_variabel+200 , dx=70, dy=dxpic, text=lines[111], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[131]=ctext.new{x=dx+390, y=y+y_variabel+200 , dx=70, dy=dxpic, text=lines[112], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
--Platz15
ta[132]=ctext.new{x=dx+60, y=y+y_variabel+250 , dx=40, dy=dxpic, text=lines[113], color_body=COL['LIGHT_GRAY'], mode="ALIGN_CENTER"}
ta[133]=cpicture.new{x=dx+100, y=y+y_variabel+250 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[114] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['LIGHT_GRAY']}
ta[134]=ctext.new{x=dx+140, y=y+y_variabel+250 , dx=50, dy=dxpic, text=lines[115], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[135]=ctext.new{x=dx+190, y=y+y_variabel+250 , dx=50, dy=dxpic, text=lines[116], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[136]=ctext.new{x=dx+240, y=y+y_variabel+250 , dx=40, dy=dxpic, text=lines[117], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[137]=ctext.new{x=dx+280, y=y+y_variabel+250 , dx=40, dy=dxpic, text=lines[118], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[138]=ctext.new{x=dx+320, y=y+y_variabel+250 , dx=70, dy=dxpic, text=lines[119], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
ta[139]=ctext.new{x=dx+390, y=y+y_variabel+250 , dx=70, dy=dxpic, text=lines[120], mode="ALIGN_RIGHT", color_body=COL['LIGHT_GRAY']}
--Platz16
ta[140]=ctext.new{x=dx+60, y=y+y_variabel+300 , dx=40, dy=dxpic, text=lines[121], color_body=COL['DARK_GRAY'], mode="ALIGN_CENTER"}
ta[141]=cpicture.new{x=dx+100, y=y+y_variabel+300 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[122] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['DARK_GRAY']}
ta[142]=ctext.new{x=dx+140, y=y+y_variabel+300 , dx=50, dy=dxpic, text=lines[123], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[143]=ctext.new{x=dx+190, y=y+y_variabel+300 , dx=50, dy=dxpic, text=lines[124], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[144]=ctext.new{x=dx+240, y=y+y_variabel+300 , dx=40, dy=dxpic, text=lines[125], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[145]=ctext.new{x=dx+280, y=y+y_variabel+300 , dx=40, dy=dxpic, text=lines[126], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[146]=ctext.new{x=dx+320, y=y+y_variabel+300 , dx=70, dy=dxpic, text=lines[127], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
ta[147]=ctext.new{x=dx+390, y=y+y_variabel+300 , dx=70, dy=dxpic, text=lines[128], mode="ALIGN_RIGHT", color_body=COL['DARK_GRAY']}
--Platz17
ta[148]=ctext.new{x=dx+60, y=y+y_variabel+350 , dx=40, dy=dxpic, text=lines[129], color_body=COL['BLACK'], mode="ALIGN_CENTER"}
ta[149]=cpicture.new{x=dx+100, y=y+y_variabel+350 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[130] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['BLACK']}
ta[150]=ctext.new{x=dx+140, y=y+y_variabel+350 , dx=50, dy=dxpic, text=lines[131], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[151]=ctext.new{x=dx+190, y=y+y_variabel+350 , dx=50, dy=dxpic, text=lines[132], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[152]=ctext.new{x=dx+240, y=y+y_variabel+350 , dx=40, dy=dxpic, text=lines[133], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[153]=ctext.new{x=dx+280, y=y+y_variabel+350 , dx=40, dy=dxpic, text=lines[134], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[154]=ctext.new{x=dx+320, y=y+y_variabel+350 , dx=70, dy=dxpic, text=lines[135], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[155]=ctext.new{x=dx+390, y=y+y_variabel+350 , dx=70, dy=dxpic, text=lines[136], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
--Platz18
ta[156]=ctext.new{x=dx+60, y=y+y_variabel+400 , dx=40, dy=dxpic, text=lines[137], color_body=COL['BLACK'], mode="ALIGN_CENTER"}
ta[157]=cpicture.new{x=dx+100, y=y+y_variabel+400 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[138] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['BLACK']}
ta[158]=ctext.new{x=dx+140, y=y+y_variabel+400 , dx=50, dy=dxpic, text=lines[139], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[159]=ctext.new{x=dx+190, y=y+y_variabel+400 , dx=50, dy=dxpic, text=lines[140], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[160]=ctext.new{x=dx+240, y=y+y_variabel+400 , dx=40, dy=dxpic, text=lines[141], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[161]=ctext.new{x=dx+280, y=y+y_variabel+400 , dx=40, dy=dxpic, text=lines[142], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[162]=ctext.new{x=dx+320, y=y+y_variabel+400 , dx=70, dy=dxpic, text=lines[143], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
ta[163]=ctext.new{x=dx+390, y=y+y_variabel+400 , dx=70, dy=dxpic, text=lines[144], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
--Platz19
if AnzahlBegegnungen==10 then
	ta[164]=ctext.new{x=dx+60, y=y+y_variabel+450 , dx=40, dy=dxpic, text=lines[145], color_body=COL['BLACK'], mode="ALIGN_CENTER"}
	ta[165]=cpicture.new{x=dx+100, y=y+y_variabel+450 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[146] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['BLACK']}
	ta[166]=ctext.new{x=dx+140, y=y+y_variabel+450 , dx=50, dy=dxpic, text=lines[147], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
	ta[167]=ctext.new{x=dx+190, y=y+y_variabel+450 , dx=50, dy=dxpic, text=lines[148], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
	ta[168]=ctext.new{x=dx+240, y=y+y_variabel+450 , dx=40, dy=dxpic, text=lines[149], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
	ta[169]=ctext.new{x=dx+280, y=y+y_variabel+450 , dx=40, dy=dxpic, text=lines[150], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
	ta[170]=ctext.new{x=dx+320, y=y+y_variabel+450 , dx=70, dy=dxpic, text=lines[151], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
	ta[171]=ctext.new{x=dx+390, y=y+y_variabel+450 , dx=70, dy=dxpic, text=lines[152], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
--Platz20
	ta[172]=ctext.new{x=dx+60, y=y+y_variabel+500 , dx=40, dy=dxpic, text=lines[153], color_body=COL['BLACK'], mode="ALIGN_CENTER"}
	ta[173]=cpicture.new{x=dx+100, y=y+y_variabel+500 , dx=dxpic, dy=dypic, image=logopfad[ligawahl] .. lines[154] .. "_35.png", transparency=2, mode="ALIGN_CENTER", color_background=COL['BLACK']}
	ta[174]=ctext.new{x=dx+140, y=y+y_variabel+500 , dx=50, dy=dxpic, text=lines[155], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
	ta[175]=ctext.new{x=dx+190, y=y+y_variabel+500 , dx=50, dy=dxpic, text=lines[156], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
	ta[176]=ctext.new{x=dx+240, y=y+y_variabel+500 , dx=40, dy=dxpic, text=lines[157], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
	ta[177]=ctext.new{x=dx+280, y=y+y_variabel+500 , dx=40, dy=dxpic, text=lines[158], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
	ta[178]=ctext.new{x=dx+320, y=y+y_variabel+500 , dx=70, dy=dxpic, text=lines[159], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
	ta[179]=ctext.new{x=dx+390, y=y+y_variabel+500 , dx=70, dy=dxpic, text=lines[160], mode="ALIGN_RIGHT", color_body=COL['BLACK']}
end


tabelle_paint()


repeat
	msg, data = n:GetInput(500)
	if (msg == RC['red']) then
		tabelle_hide()
		get_tabelle()
		blitztabelle()
	elseif (msg == RC['green']) then
		tabelle_hide()
		get_result()
		if pipmode == 1 then
		tickertv()
		pipmode=0
		else
		tickerfenster()
		end
	end
	until msg == RC['home']
	tabelle_hide()
	beenden()
end

--Farbe bestimmen des Ergebnishintergrund
function hint_farbe()
	if conf["hinter_grau"] == "hellgrau" then
		hinterfarbe=COL.LIGHT_GRAY
	elseif conf["hinter_grau"] == "dunkelgrau" then
		hinterfarbe=COL.DARK_GRAY
	elseif conf["hinter_grau"] == "schwarz" then
		hinterfarbe=COL.BLACK
	else
		hinterfarbe="0xFF"
	end
end

--Schriftgroesse aendern
function font_groesse()
	if conf["font_size"] == "gross" then
		fontsize='MENU_TITLE'
	elseif conf["font_size"] == "normal" then
		fontsize='MENU'
	elseif conf["font_size"] == "klein" then
		fontsize='MENU_INFO'
	else
		fontsize='MENU'
	end
end

function set_var(k,v) 
conf[k]=v
configChanged=1
end

--Menue anzeigen
function addMenue()
	m = menu.new{name="Bundesliga Liveticker - Einstellungen", icon=bllogo, has_shadow=true}
	m:addItem{type = "back"}
	m:addItem{type="separatorline"}
	m:addItem{type="chooser", action="set_var", options={ 30, 60, 90, 120 }, id="sekunden", value=conf["sekunden"], name="PIP-Aktualisierung in sek.", directkey=RC["1"]}
	m:addItem{type="chooser", action="set_var", options={ "1.Liga", "2.Liga", "3.Liga" }, id="ligastart", value=conf["ligastart"], name="Liga-Start", directkey=RC["2"]}
	m:addItem{type="chooser", action="set_var", options={ "aus", "an" }, id="autostart_pip", value=conf["autostart_pip"], name="PIP-Autostart", directkey=RC["3"]}
	m:addItem{type="chooser", action="set_var", options={ "aus", "hellgrau", "dunkelgrau", "schwarz" }, id="hinter_grau", value=conf["hinter_grau"], name="PIP-Ergebnisse grau hinterlegt", directkey=RC["4"]}
	m:addItem{type="separatorline"}
	m:addItem{type="chooser", action="set_var", options={ "klein", "normal", "gross" }, id="font_size", value=conf["font_size"], name="Schrift anpassen", directkey=RC["5"]}
	m:addItem{type="separatorline"}
	m:addItem{type="chooser", action="set_var", options={ "Nein", "Ja" }, id="remove_pfad", value=conf["remove_pfad"], name="Pluginverzeichnis löschen", directkey=RC["6"]}
	m:addItem{type="separatorline"}
	m:addItem{type="forwarder", name="Speichern", action="saveConfig", icon="rot", directkey=RC["red"]}
	m:exec()
	tickerfenster()
end

FolderExists()
loadConfig()
get_matchday()

if conf["ligastart"] == "1.Liga" and conf["autostart_pip"] == "aus" then
	ligawahl=1	
	get_result_start()
	get_logos()
	tickerfenster()
elseif conf["ligastart"] == "2.Liga" and conf["autostart_pip"] == "aus" then
	ligawahl=2
	get_result_start()
	get_logos()
	tickerfenster()
elseif conf["ligastart"] == "3.Liga" and conf["autostart_pip"] == "aus" then
	ligawahl=3
	get_result_start()
	get_logos()
	tickerfenster()
elseif conf["ligastart"] == "1.Liga" and conf["autostart_pip"] == "an" then
	ligawahl=1
	get_result_start()
	get_logos()
	tickertv()
elseif conf["ligastart"] == "3.Liga" and conf["autostart_pip"] == "an" then
	ligawahl=3
	get_result_start()
	get_logos()
	tickertv()
end

